# Uses of Enum Class
com.destroystokyo.paper.event.entity.EndermanEscapeEvent.Reason

Packages that use EndermanEscapeEvent.Reason
Package
Description
com.destroystokyo.paper.event.entity

## Uses of EndermanEscapeEvent.Reason in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return EndermanEscapeEvent.Reason
Modifier and Type
Method
Description
`@NotNull EndermanEscapeEvent.Reason`
EndermanEscapeEvent.`getReason()`
`static EndermanEscapeEvent.Reason`
EndermanEscapeEvent.Reason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EndermanEscapeEvent.Reason[]`
EndermanEscapeEvent.Reason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.destroystokyo.paper.event.entity with parameters of type EndermanEscapeEvent.Reason
Modifier
Constructor
Description
``
`EndermanEscapeEvent(@NotNull Enderman entity, @NotNull EndermanEscapeEvent.Reason reason)`